Foreman - Bug #29191

Unable to render iPXE template 'Kickstart default iPXE': no implicit conversion of URI::HTTP into
String”
02/26/2020 03:45 PM - Oleh Fedorenko

Status: Closed

Priority: High

Assignee: Oleh Fedorenko
Category: Templates

Target version:

Difficulty: easy Fixed in Releases: 2.1.0
Triaged: Yes Found in Releases:
Bugzilla link: 1807073 Red Hat JIRA:

Pull request: https://github.com/theforeman/communit

y-templates/pull/694

Description
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1807073

Description of problem:

Unable to render iPXE template 'Kickstart default iPXE': no implicit conversion of URI::HTTP into String"]
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. Create a Host and fill all the mandatory fields

2. Under the 'Parameters' tab, add a host parameter as below:

-> Name: kickstart_liveimg

-> Type: string

-> Value: custom/RHEL_8 Image/RHEL_8_Image/devserver2-1.tar.xz

3. Click on 'Submit'

Actual results:
We get the below message:

The following errors may prevent a successful build:
Templates

Failure parsing Kickstart default iPXE: no implicit conversion of URI::HTTP into String.
Expected results:
The build finishes successfully

Additional info:
Workaround:
Change 'Kickstart default iPXE' template as below:

Modify the line below from:

stage2 = host_param('kickstart_liveimg') ? 'inst.stage2="+ medium_uri : "

To:

stage2 = host_param('kickstart_liveimg') ? 'inst.stage2=' + medium_uri.to_s : "

Associated revisions

Revision a4c603a6 - 02/28/2020 12:20 PM - Oleh Fedorenko
Fixes #29191 - Use medium_uri.to_s in Kickstart default iPXE
https://bugzilla.redhat.com/show_bug.cgi?id=1807073

History

#1 - 02/26/2020 03:47 PM - Oleh Fedorenko
- Category changed from TFTP to Templates
- Status changed from New to Assigned

- Assignee set to Oleh Fedorenko

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 02/26/2020 03:58 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/community-templates/pull/694 added

#3 - 02/28/2020 12:20 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#4 - 02/28/2020 01:01 PM - Oleh Fedorenko
- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|a4c603a6e87b1cfb1ba5cb9d40f20296ffc2ef94.
#5 - 05/17/2020 02:31 PM - Tomer Brisker

- Subject changed from Unable to render iPXE template 'Kickstart default iPXE': no implicit conversion of URI::HTTP into String"] to Unable to render
iPXE template 'Kickstart default iPXE'": no implicit conversion of URI::HTTP into String"
